/* Fonts */
:root {
  --default-font: "Inter", sans-serif;
  --heading-font: "Inter",  sans-serif;
  --nav-font: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
}

:root { 
  --background-color: #f7f7f7; 
  --default-color: #444444;
  --heading-color: #111111;
  --accent-color: #5b8dfc;
  --surface-color: #ffffff;
  --contrast-color: #ffffff;
  --greeting-color: #737373;
}

:root {
  --nav-color: #ffffff;
  --nav-hover-color: #0442c8;
  --nav-mobile-background-color: #f5f5f5; 
  --nav-dropdown-background-color: #ffffff;
  --nav-dropdown-color: #444444;
  --nav-dropdown-hover-color: #888888; 
}

.light-background {
  --background-color: #f7f7f7;
  --surface-color: #ffffff;
}

.dark-background {
  --background-color: #5b8dfc;
  --shade-color: #6bddf7;
  --default-color: #ffffff;
  --heading-color: #ffffff;
  --surface-color: #5b8dfc;
  --contrast-color: #ffffff;
  --greeting-color: #737373;
}

.accent-background {
  --background-color: #5b8dfc;
  --shade-color: #6bddf7;
  --default-color: #ffffff;
  --heading-color: #ffffff;
  --accent-color: #ffffff;
  --surface-color: #5b8dfc;
  --contrast-color: #ffffff;
  --greeting-color: #737373;
}

:root {
  scroll-behavior: smooth;
}

/*--------------------------------------------------------------
# General Styling & Shared Classes
--------------------------------------------------------------*/
body {
  color: var(--default-color);
  background-color: var(--background-color);
  font-family: var(--default-font);
}

a {
  color: var(--accent-color);
  text-decoration: none;
  transition: 0.3s;
}

a:hover {
  color: color-mix(in srgb, var(--accent-color), transparent 25%);
  text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--heading-color);
  font-family: var(--heading-font);
}

.handcursor{
  cursor: pointer;
}


/*-------------------------------------------------------------
# Global Header
--------------------------------------------------------------*/
.header {
  color: var(--default-color);
  background: linear-gradient(90deg, var(--background-color), var(--shade-color));
  padding: 6px 2px;
  transition: all 0.5s;
  z-index: 997;
}

.header-sub {
  color: var(--default-color);
  background: linear-gradient(90deg, var(--background-color), var(--shade-color));
  padding: 5px 2px;
  transition: all 0.5s;
  z-index: 997;
}

.footer {
  color: var(--accent-color) !important;
  background-color: #f2f2f2;
  height: 60px;
  border-top: 1px solid #ccc;
}

.footer-nav-item {
  flex: 1;
  text-align: center;
  text-decoration: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  cursor: pointer;
}

/* Icon size */
.footer-nav-item .icon {
  font-size: 20px;
  line-height: 1;
}

.header .logo {
  line-height: 1;
}

.header .logo img {
  max-height: 50px;
  margin-right: 8px;
}

.header-sub .logo img {
  max-height: 25px;
  margin-right: 8px;
}

.header .logo-mob img {
  max-height: 30px;
  margin-right: 5px;
}

.header-sub .logo-mob img {
  max-height: 30px;
  margin-right: 5px;
}

.header .logo h1 {
  font-size: 30px;
  margin: 0;
  font-weight: 700;
  text-transform: uppercase;
  color: var(--heading-color);
}

.header .logo span {
  color: var(--accent-color);
  font-size: 20px;
  font-weight: 700;
}

.header-sub .logo span {
  color: var(--accent-color);
  font-size: 20px;
  font-weight: 700;
}

.companyname{
  color: #f5f5f5 !important;
  margin-top: 10px;
}

.greeting{
  color: var(--greeting-color);
}

.greeting-sub{
  color: var(--accent-color);
}

@media (max-width: 1200px) {
  .header .logo {
    order: 1;
  }

  .header .logo h1 {
    font-size: 20px;
  }

  .header .navmenu {
    order: 3;
  }
}

/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
.nav-hamburger {
    color: var(--nav-color);
    font-size: 28px;
    line-height: 0;
    margin-right: 10px;
    cursor: pointer;
    transition: color 0.3s;
  }

/* Navmenu - Desktop */
@media (min-width: 1200px) {
  .navmenu {
    padding: 0;
  }

  .navmenu ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
  }

  .navmenu li {
    position: relative;
  }

  .navmenu a,
  .navmenu a:focus {
    color: var(--nav-color);
    padding: 18px 32px;
    font-size: 16px;
    font-family: var(--nav-font);
    text-transform: uppercase;
    font-weight: 600;
    display: flex;
    align-items: center;
    /* justify-content: space-between; */
    white-space: nowrap;
    transition: 0.3s;
  }

  .navmenu a i,
  .navmenu a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
    transition: 0.3s;
  }

  .navmenu li:last-child a {
    padding-right: 0;
  }

  .navmenu li:hover>a,
  .navmenu .active,
  .navmenu .active:focus {
    color: var(--nav-hover-color);
  }

  .navmenu .dropdown ul {
    margin: 0;
    padding: 10px 0;
    background: var(--nav-dropdown-background-color);
    display: block;
    position: absolute;
    visibility: hidden;
    left: 14px;
    top: 130%;
    opacity: 0;
    transition: 0.3s;
    border-radius: 4px;
    z-index: 99;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
  }

  .navmenu .dropdown ul li {
    min-width: 200px;
  }

  .navmenu .dropdown ul a {
    padding: 10px 20px;
    font-size: 15px;
    text-transform: none;
    color: var(--nav-dropdown-color);
  }

  .navmenu .dropdown ul a i {
    font-size: 12px;
  }

  .navmenu .dropdown ul a:hover,
  .navmenu .dropdown ul .active:hover,
  .navmenu .dropdown ul li:hover>a {
    color: var(--nav-dropdown-hover-color);
  }

  .navmenu .dropdown:hover>ul {
    opacity: 1;
    top: 100%;
    visibility: visible;
  }

  .navmenu .dropdown .dropdown ul {
    top: 0;
    left: -90%;
    visibility: hidden;
  }

  .navmenu .dropdown .dropdown:hover>ul {
    opacity: 1;
    top: 0;
    left: -100%;
    visibility: visible;
  }
}

@media (min-width: 820px) {
  .navmenusub {
    padding: 0;
  }

  .navmenusub ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
  }

  .navmenusub li {
    position: relative;
  }

  .navmenusub a,
  .navmenusub a:focus {
    color: var(--nav-color);
    padding: 18px 32px;
    font-size: 16px;
    font-family: var(--nav-font);
    text-transform: uppercase;
    font-weight: 600;
    display: flex;
    align-items: center;
    /* justify-content: space-between; */
    white-space: nowrap;
    transition: 0.3s;
  }

  .navmenusub a i,
  .navmenusub a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
    transition: 0.3s;
  }

  .navmenusub li:last-child a {
    padding-right: 0;
  }

  .navmenusub li:hover>a,
  .navmenusub .active,
  .navmenusub .active:focus {
    color: var(--nav-hover-color);
  }

  .navmenusub .dropdown ul {
    margin: 0;
    padding: 10px 0;
    background: var(--nav-dropdown-background-color);
    display: block;
    position: absolute;
    visibility: hidden;
    left: 14px;
    top: 130%;
    opacity: 0;
    transition: 0.3s;
    border-radius: 4px;
    z-index: 99;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
  }

  .navmenusub .dropdown ul li {
    min-width: 200px;
  }

  .navmenusub .dropdown ul a {
    padding: 10px 20px;
    font-size: 15px;
    text-transform: none;
    color: var(--nav-dropdown-color);
  }

  .navmenusub .dropdown ul a i {
    font-size: 12px;
  }

  .navmenusub .dropdown ul a:hover,
  .navmenusub .dropdown ul .active:hover,
  .navmenusub .dropdown ul li:hover>a {
    color: var(--nav-dropdown-hover-color);
  }

  .navmenusub .dropdown:hover>ul {
    opacity: 1;
    top: 100%;
    visibility: visible;
  }

  .navmenusub .dropdown .dropdown ul {
    top: 0;
    left: -90%;
    visibility: hidden;
  }

  .navmenusub .dropdown .dropdown:hover>ul {
    opacity: 1;
    top: 0;
    left: -100%;
    visibility: visible;
  }
}

/* Navmenu - Mobile */
@media (max-width: 1199px) {
  .mobile-nav-toggle {
    color: var(--nav-color);
    font-size: 28px;
    line-height: 0;
    margin-right: 10px;
    cursor: pointer;
    transition: color 0.3s;
  }
  
  #offcanvasMyProfile{
    font-size: 20px;
  }

  .navmenu {
    padding: 0;
    z-index: 9997;
  }

  .navmenu ul {
    display: none;
    list-style: none;
    position: absolute;
    inset: 60px 20px 20px 20px;
    padding: 10px 0;
    margin: 0;
    border-radius: 6px;
    background-color: var(--nav-mobile-background-color);
    overflow-y: auto;
    transition: 0.3s;
    z-index: 9998;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
  }

  .navmenu a,
  .navmenu a:focus {
    color: var(--nav-dropdown-color);
    padding: 10px 20px;
    font-family: var(--nav-font);
    font-size: 17px;
    font-weight: 500;
    display: flex;
    align-items: center;
    /* justify-content: space-between; */
    white-space: nowrap;
    transition: 0.3s;
  }

  .navmenu a i,
  .navmenu a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: 0.3s;
    background-color: color-mix(in srgb, var(--accent-color), transparent 90%);
  }

  .navmenu a i:hover,
  .navmenu a:focus i:hover {
    background-color: var(--accent-color);
    color: var(--contrast-color);
  }

  .navmenu a:hover,
  .navmenu .active,
  .navmenu .active:focus {
    color: var(--nav-dropdown-hover-color);
  }

  .navmenu .active i,
  .navmenu .active:focus i {
    background-color: var(--accent-color);
    color: var(--contrast-color);
    transform: rotate(180deg);
  }

  .navmenu .dropdown ul {
    position: static;
    display: none;
    z-index: 99;
    padding: 10px 0;
    margin: 10px 20px;
    background-color: var(--nav-dropdown-background-color);
    border: 1px solid color-mix(in srgb, var(--default-color), transparent 90%);
    box-shadow: none;
    transition: all 0.5s ease-in-out;
  }

  .navmenu .dropdown ul ul {
    background-color: rgba(33, 37, 41, 0.1);
  }

  .navmenu .dropdown>.dropdown-active {
    display: block;
    background-color: rgba(33, 37, 41, 0.03);
  }

  .mobile-nav-active {
    overflow: hidden;
  }

  .mobile-nav-active .mobile-nav-toggle {
    color: #fff;
    position: absolute;
    font-size: 32px;
    top: 15px;
    right: 15px;
    margin-right: 0;
    z-index: 9999;
  }

  .mobile-nav-active .navmenu {
    position: fixed;
    overflow: hidden;
    inset: 0;
    background: rgba(33, 37, 41, 0.8);
    transition: 0.3s;
  }

  .mobile-nav-active .navmenu>ul {
    display: block;
  }
}

/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
  position: fixed;
  inset: 0;
  z-index: 999999;
  overflow: hidden;
  background: var(--background-color);
  transition: all 0.6s ease-out;
}

#preloader:before {
  content: "";
  position: fixed;
  top: calc(50% - 30px);
  left: calc(50% - 30px);
  border: 6px solid #ffffff;
  border-color: var(--accent-color) transparent var(--accent-color) transparent;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  animation: animate-preloader 1.5s linear infinite;
}

.loading{
  position: relative;
  padding: 1rem 1rem;
  margin-bottom: 1rem;
  background-color: var(--accent-color);
  color: #ffffff;
  border: solid 1px #e6e6e6;
  border-radius: 1rem;
  cursor: pointer;
  font-size: 20px;
}

@keyframes animate-preloader {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

#loading-screen {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

/* Center content */
.loader-container {
  text-align: center;
  background: #fff;
  padding: 20px;
  border-radius: 5px;
  border: #ccc 1px solid;
}

/* Spinner */
.spinner {
  width: 60px;
  height: 60px;
  border: 6px solid #ffffff;
  border-color: var(--accent-color) transparent var(--accent-color) transparent;
  border-radius: 50%;
  margin: 0 auto 15px;
  animation: animate-preloader 1.5s linear infinite;
}

@keyframes spin {
  to { transform: rotate(360deg); }
}

/* Text */
.loading-text {
  font-size: 20px;
  color: #333;
  font-weight: bold;
}

.loader-wrapper {
  position: relative;    /* Important! */
  width: 100%;
  height: 100%;
  padding: 20px;
}

/* Overlay centered inside the element */
.spinner-overlay {
  position: absolute;
  top: 0; 
  left: 0;
  width: 100%;
  height: 100%;  
  display: flex;
  justify-content: center;
  align-items: center;  
  z-index: 10;
}

/* Spinner design */
.spinner-inside {
  width: 40px;
  height: 40px;
  border: 4px solid #ccc;
  border-top-color: var(--accent-color);
  border-radius: 50%;
  animation: spin 0.8s linear infinite;
}

/*--------------------------------------------------------------
# Scroll Top Button
--------------------------------------------------------------*/
.scroll-top {
  position: fixed;
  visibility: hidden;
  opacity: 0;
  right: 15px;
  bottom: 15px;
  z-index: 99999;
  background-color: var(--accent-color);
  width: 40px;
  height: 40px;
  border-radius: 4px;
  transition: all 0.4s;
}

.scroll-top i {
  font-size: 24px;
  color: var(--contrast-color);
  line-height: 0;
}

.scroll-top:hover {
  background-color: color-mix(in srgb, var(--accent-color), transparent 20%);
  color: var(--contrast-color);
}

.scroll-top.active {
  visibility: visible;
  opacity: 1;
}

/*--------------------------------------------------------------
# Disable aos animation delay on mobile devices
--------------------------------------------------------------*/
@media screen and (max-width: 768px) {
  [data-aos-delay] {
    transition-delay: 0 !important;
  }
}

/*--------------------------------------------------------------
# Global Page Titles & Breadcrumbs
--------------------------------------------------------------*/
.page-title {
  color: var(--default-color);
  background-color: var(--background-color);
  padding: 25px 0;
  position: relative;
}

.page-title h1 {
  font-size: 24px;
  font-weight: 700;
}

.page-title .breadcrumbs ol {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  padding: 0;
  margin: 0;
  font-size: 14px;
  font-weight: 400;
}

.page-title .breadcrumbs ol li+li {
  padding-left: 10px;
}

.page-title .breadcrumbs ol li+li::before {
  content: "/";
  display: inline-block;
  padding-right: 10px;
  color: color-mix(in srgb, var(--default-color), transparent 70%);
}

/*--------------------------------------------------------------
# Global Sections
--------------------------------------------------------------*/
section,
.section {
  color: var(--default-color);
  background-color: var(--background-color);
  padding: 0px 10px;
}

@media (max-width: 1199px) {

  section,
  .section {
    scroll-margin-top: 66px;
  }
}

/*--------------------------------------------------------------
# Global Section Titles
--------------------------------------------------------------*/
.section-title {
  text-align: center;
  padding-bottom: 60px;
  position: relative;
}

.section-title h2 {
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 20px;
  text-transform: uppercase;
  padding-bottom: 20px;
  position: relative;
}

.section-title h2:after {
  content: "";
  position: absolute;
  display: block;
  width: 50px;
  height: 3px;
  background: var(--accent-color);
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
}

.section-title p {
  margin-bottom: 0;
}

/*--------------------------------------------------------------
# Buttons
--------------------------------------------------------------*/

.btn-rounded {
    border-radius: 15px
}

.btn-border-w2{
  border-width: 2px;
}

.btn-border-w3{
  border-width: 3px;
}

.btn-edit {
    color: #228b22;
    background-color: transparent;
    border: none;
}

.btn-remove {
    color: #ff0000;
    text-decoration: none;
    background-color: transparent;
    border: none;
}

.btn-a{
  color: var(--accent-color);
  text-decoration: none;
  transition: 0.3s;
  background-color: transparent;
  border: none;
}

.btn-search{
  color: var(--accent-color);
  background-color: transparent;
  border: none;
}

.btn-w100{
  width: 100px;
}

.btn-pointer{
  cursor: pointer;
}

.btn-pointer:hover{
  background-color: #f2f2f2;;
}

.two-step{
  border: solid 1px #888 !important;
  background-color: #f5f5f5;
  font-size: 1em !important;
}

/*--------------------------------------------------------------
# Tables
--------------------------------------------------------------*/

.tb-sticky {
    border-collapse: separate;
    border-spacing: 0;
}

.th-sticky {
    position: sticky;
    top: 0 !important;
    z-index: 900;
    border: 1px solid #ccc !important;    
}

.tr-sticky {
    border-style: hidden;
}

.td-cell {
    padding: 16px !important;
    vertical-align: middle !important;
}

.tdw-25{
  width: 25px;
}

.tdw-50{
  width: 50px;
}

.tr-click{
  cursor: pointer;
}

.tb-hover > tbody > tr:hover > * {
  background-color: #f1f1f1 !important;
}

.lastupdateby{
  color: #888 !important;
}

.hide-scrollbar::-webkit-scrollbar {
  display: none;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

/*--------------------------------------------------------------
# Toaster Alerts
--------------------------------------------------------------*/
.toast-container{
  position: fixed; 
  top: 1rem; 
  right: 1rem; 
  z-index: 9999;
}

.toast{
  display: none;
  min-width: 250px; 
  margin-bottom: 0.5rem; 
  border: 1px solid #ccc; 
  border-radius: 5px; 
  box-shadow: 0 2px 8px rgba(0,0,0,0.2); 
  background-color: #fff;
}

.toast-header{
  display: flex; 
  justify-content: space-between; 
  align-items: left; 
  padding: 5px;
  font-weight: bold;
}

.toast-header-success {
  background-color: #009900;
  color: #ffffff;
}

.toast-header-warning {
  background-color: #ff9900;
  color: #ffffff;
}

.toast-header-error {
  background-color: #ff0000;
  color: #ffffff;
}

.toast-header-info{
  background-color: #1ab2ff;
  color: #ffffff;
}

.toast-body-bg{
  background-color: #ffffff;
  padding: 0.5rem;
}

.toast-close{
  color: #fff;
  border: none; 
  background: none; 
  font-size: 18px; 
  cursor: pointer;
}

/*--------------------------------------------------------------
# Profile Icon
--------------------------------------------------------------*/
.profile{
  font-size: 1.2em;
  font-weight: bold;
  color: #ffffff !important;
  width: 40px;
  height: 40px;
  padding-top: 7px;
  background-color: var(--accent-color);
  border-radius: 50%;
}

/*--------------------------------------------------------------
# Custom Tags
--------------------------------------------------------------*/
.custom-cbox {
  border-color: var(--accent-color);
  font-size: 1.2em;
}

.custom-cbox-sm {
  border-color: var(--accent-color);
  font-size: 1.1em;
}

.custom-cbox-xs {
  border-color: var(--accent-color);
  font-size: 1em;
}

.custom-card{
  border-radius: 1rem !important;
}

.custom-card-header{
  font-size: 20px !important;
  font-weight: bold !important;
  background-color: transparent !important;
  border-bottom: none !important;
  padding-bottom: 0.5rem !important;
  padding-top: 1rem !important;
}

.custom-card-top-border{
  border-top: solid 7px var(--accent-color);
}

.custom-text{
  color: var(--accent-color);
}

.custom-vh-80 {
  min-height: 80vh !important;
}

.custom-vh-85 {
  min-height: 85vh !important;
}

.custom-vh-90 {
  min-height: 90vh !important;
}

.custom-vh-95 {
  min-height: 95vh !important;
}

.custom-offcanvas-header{
  background-color: var(--accent-color) !important;
}

.custom-offcanvas-title{
  color: #ffffff !important;
}

.custom-modal-header{
  background: linear-gradient(90deg, #5b8dfc, #6bddf7) !important;
}

.custom-modal-title{
  color: #ffffff !important;
}

.custom-alert-heading{
  color: var(--accent-color);
}

.custom-form-check-input {
    transform: scale(1.2);
    margin: 10px;
}

.custom-form-check-input2 {
    transform: scale(1.4);
    margin: 10px;
}

.custom-input{
  background-color: #f1f1f1 !important;
  border: solid 1px var(--accent-color) !important;
}

.custom-cbx{
  border: solid 1px var(--accent-color) !important;
}


/*--------------------------------------------------------------
# Custom Widths
--------------------------------------------------------------*/
.wp25{
  width: 25%;
}

.wp50{
  width:50%;
}

.wp60{
  width:60%;
}

.wp75{
  width:75%;
}

.wp100{
  width:100%;
}

/*--------------------------------------------------------------
# Locations Design
--------------------------------------------------------------*/
.location-bx {
  position: relative;
  padding: 1rem 1rem;
  margin-bottom: 1rem;
  color: #000000;
  background-color: #fafafa;
  border: solid 1px #e6e6e6;
  border-radius: 1rem;
  cursor: pointer;
}

.location-bx:hover {
  background-color: #9ec5fe;
  color: #052c65;
}

.autocomplete-results {
  position: absolute;
  z-index: 1000;
  width: 100%;
  max-height: 250px;
  overflow-y: auto;
}

/*--------------------------------------------------------------
# Tabs
--------------------------------------------------------------*/
.nav-tabs-custom {
    border-bottom: 1px solid var(--bs-gray-300)
}

.nav-tabs-custom .nav-item {
    position: relative;
    color: #c43e1c;
}

.nav-tabs-custom .nav-item .nav-link {
    border: none;
}

.nav-tabs-custom .nav-item .nav-link::after {
    content: "";
    background: #5156be;
    height: 1px;
    position: absolute;
    width: 100%;
    left: 0;
    bottom: -1px;
    -webkit-transition: all 250ms ease 0s;
    transition: all 250ms ease 0s;
    -webkit-transform: scale(0);
    transform: scale(0)
}

.nav-tabs-custom .nav-item .nav-link.active {
    color: #5156be;
}

.nav-tabs-custom .nav-item .nav-link.active:after {
    -webkit-transform: scale(1);
    transform: scale(1)
}

.nav-tabs-custom.card-header-tabs {
    border-bottom: none
}

.nav-tabs-custom.card-header-tabs .nav-link {
    padding: 1.25rem 1rem;
    font-weight: 500
}

/*--------------------------------------------------------------
# Password Strengths
--------------------------------------------------------------*/
.pass-weak{
  font-size: 0.9em;
  color:#ff0000;
}

.pass-fair{
  font-size: 0.9em;
  color:#ff9900;
}

.pass-good{
  font-size: 0.9em;
  color:#0099e6;
}

.pass-strong{
  font-size: 0.9em;
  color:#00802b;
}

/*--------------------------------------------------------------
# Icons
--------------------------------------------------------------*/
.ico-standard{
  color:var(--accent-color);
}

.ico-gray{
  color:#888888;
}

.ico-active{
  color:#4f9676;
}

.ico-inactive{
  color: #e0525e;
}

.ico-awaiting{
  color: #3385ff;
}

.ico-actions{
  margin-top: 12px;
}

.ico-purple{
  color: #e60073;
}

.ico-orange{
  color: #ff6600;
}

.ico-sorting{
  color: #cccccc;
}

.ico-edit{
  color: #009933;
}

.ico-delete{
  color: #ff0000;
}

/*--------------------------------------------------------------
# Billing
--------------------------------------------------------------*/
.subscription{
  font-size: 3em;
  color: var(--accent-color);
}

/*--------------------------------------------------------------
# Search bar
--------------------------------------------------------------*/
.search-wrapper {
    /*max-width: 600px;*/
    width: 100%;
  }

.search {
    display: flex;
    gap: 0;
    align-items: center;
    background: #fff;
    border: 1px solid #d0d7de;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 1px 0 rgba(16,24,40,0.02), 0 6px 18px rgba(11,15,30,0.04);
    height: 50px;
  }

  .search-input {
    flex: 1 1 auto;
    border: 0;
    padding: 0 18px;
    font-size: 18px;
    outline: none;
    height: 50px;
    min-width: 0; /* prevents overflow in flexbox */
    background: transparent;
  }

  .search-mt{
    margin-top: -15px;
  }
  
/*--------------------------------------------------------------
# Role Colours
--------------------------------------------------------------*/
.ico-role{
  width: 25px;
  height: 25px;
}

.role-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 8px;
}

.role-bx {
  margin-bottom: 5px;
  border-radius: 4px;
  cursor: pointer;
  height: 25px;
  width: 25px;
}

.role-bx-selected {
  border: solid 2px #f5f5f5;
  margin-bottom: 10px;
  border-radius: 4px;
  height: 50px;
  min-width: 50px;
}

.role-1 {
  background: #202020;
  color: #fff !important;
  border: solid 1px #000000;
}

.role-2 {
  background: #404040;
  color: #fff !important;
  border: solid 1px #1a1a1a;  
}

.role-3 {
  background: #606060;
  color: #fff !important;
  border: solid 1px #cc00cc;
}

.role-4 {
  background: #808080;
  color: #fff !important;
  border: solid 1px #404040;
}

.role-5 {
  background: #a0a0a0;
  color: #fff !important;
  border: solid 1px #808080;
}

.role-6 {
  background: #c0c0c0;
  border: solid 1px #999999;
}

.role-7 {
  background: #e0e0e0;
  border: solid 1px #bfbfbf;
}

.role-8 {
  background: #ffffff;
  border: solid 1px #ccc;
}

.role-9 {
  background: #660033;
  color: #fff !important;
  border: solid 1px #1a000d;
}

.role-10 {
  background: #99004c;
  color: #fff !important;
  border: solid 1px #4d0026;
}

.role-11 {
  background: #cc0066;
  color: #fff !important;
  border: solid 1px #800040;
}

.role-12 {
  background: #ff007f;
  color: #fff !important;
  border: solid 1px #b30059;
}

.role-13 {
  background: #ff3399;
  color: #fff !important;
  border: solid 1px #e60073;
}

.role-14 {
  background: #ff66b2;
  border: solid 1px #ff1a8c;
}

.role-15 {
  background: #ff99cc;
  border: solid 1px #ff4da6;
}

.role-16 {
  background: #ffcce5;
  border: solid 1px #ff80bd;
}

.role-17 {
  background: #660066;
  color: #fff !important;
  border: solid 1px #1a001a;
}

.role-18 {
  background: #990099;
  color: #fff !important;
  border: solid 1px #660066;
}

.role-19 {
  background: #cc00cc;
  color: #fff !important;
  border: solid 1px #990099;
}

.role-20 {
  background: #ff00ff;
  color: #fff !important;
  border: solid 1px #cc00cc;
}

.role-21 {
  background: #ff33ff;
  color: #fff !important;
  border: solid 1px #ff00ff;
}

.role-22 {
  background: #ff66ff;
  color: #fff !important;
  border: solid 1px #ff33ff;
}

.role-23 {
  background: #ff99ff;
  border: solid 1px #ff66ff;
}

.role-24 {
  background: #ffccff;
  border: solid 1px #ff99ff;
}

.role-25 {
  background: #330066;
  color: #fff !important;
  border: solid 1px #0d001a;
}

.role-26 {
  background: #4c0099;
  color: #fff !important;
  border: solid 1px #330066;
}

.role-27 {
  background: #6600cc;
  color: #fff !important;
  border: solid 1px #4c0099;
}

.role-28 {
  background: #7f00ff;
  color: #fff !important;
  border: solid 1px #6600cc;
}

.role-29 {
  background: #9933ff;
  color: #fff !important;
  border: solid 1px #7f00ff;
}

.role-30 {
  background: #b266ff;
  border: solid 1px #9933ff;
}

.role-31 {
  background: #cc99ff;
  border: solid 1px #b266ff;
}

.role-32 {
  background: #e5ccff;
  border: solid 1px #cc99ff;
}

.role-33 {
  background: #000066;
  color: #fff !important;
  border: solid 1px #00001a;
}

.role-34 {
  background: #000099;
  color: #fff !important;
  border: solid 1px #000066;
}

.role-35 {
  background: #0000cc;
  color: #fff !important;
  border: solid 1px #000099;
}

.role-36 {
  background: #0000ff;
  color: #fff !important;
  border: solid 1px #0000ff;
}

.role-37 {
  background: #3333ff;
  color: #fff !important;
  border: solid 1px #3333ff;
}

.role-38 {
  background: #6666ff;
  color: #fff !important;
  border: solid 1px #6666ff;
}

.role-39 {
  background: #9999ff;
  color: #fff !important;
  border: solid 1px #6666ff;
}

.role-40 {
  background: #ccccff;
  border: solid 1px #9999ff;
}

.role-41 {
  background: #003366;
  color: #fff !important;
  border: solid 1px #ff6666;
}

.role-42 {
  background: #004c99;
  color: #fff !important;
  border: solid 1px #ff6666;
}

.role-43 {
  background: #0066cc;
  color: #fff !important;
  border: solid 1px #000d1a;
}

.role-44 {
  background: #0080ff;
  color: #fff !important;
  border: solid 1px #0066cc;
}

.role-45 {
  background: #3399ff;
  color: #fff !important;
  border: solid 1px #0080ff;
}

.role-46 {
  background: #66b2ff;
  color: #fff !important;
  border: solid 1px #3399ff;
}

.role-47 {
  background: #99CCFF;
  border: solid 1px #99CCFF;
}

.role-48 {
  background: #CCE5FF;
  border: solid 1px #99CCFF;
}

.role-49 {
  background: #006666;
  color: #fff !important;
  border: solid 1px #001a1a;
}

.role-50 {
  background: #009999;
  color: #fff !important;
  border: solid 1px #006666;
}

.role-51 {
  background: #00CCCC;
  border: solid 1px #009999;
}

.role-52 {
  background: #00FFFF;
  border: solid 1px #00CCCC;
}

.role-53 {
  background: #33FFFF;
  border: solid 1px #00FFFF;
}

.role-54 {
  background: #66FFFF;
  border: solid 1px #33FFFF;
}

.role-55 {
  background: #99FFFF;
  border: solid 1px #66FFFF;
}

.role-56 {
  background: #CCFFFF;
  border: solid 1px #CCFFFF;
}

.role-57 {
  background: #006633;
  color: #fff !important;
  border: solid 1px #001a0d;
}

.role-58 {
  background: #00994C;
  color: #fff !important;
  border: solid 1px #006633;
}

.role-59 {
  background: #00CC66;
  border: solid 1px #00994C;
}

.role-60 {
  background: #00FF80;
  border: solid 1px #00CC66;
}

.role-61 {
  background: #33FF99;
  border: solid 1px #00FF80;
}

.role-62 {
  background: #66FFB2;
  border: solid 1px #66FFB2;
}

.role-63 {
  background: #99FFCC;
  border: solid 1px #66FFB2;
}

.role-64 {
  background: #CCFFE5;
  border: solid 1px #CCFFE5;
}

.role-65 {
  background: #006600;
  color: #fff !important;
  border: solid 1px #001a00;
}

.role-66 {
  background: #009900;
  color: #fff !important;
  border: solid 1px #006600;
}

.role-67 {
  background: #00CC00;
  border: solid 1px #009900;
}

.role-68 {
  background: #00FF00;
  border: solid 1px #00CC00;
}

.role-69 {
  background: #33FF33;
  border: solid 1px #00FF00;
}

.role-70 {
  background: #66FF66;
  border: solid 1px #33FF33;
}

.role-71 {
  background: #99FF99;
  border: solid 1px #66FF66;
}

.role-72 {
  background: #CCFFCC;
  border: solid 1px #CCFFCC;
}

.role-73 {
  background: #336600;
  color: #fff !important;
  border: solid 1px #0d1a00;
}

.role-74 {
  background: #4C9900;
  color: #fff !important;
  border: solid 1px #336600;
}

.role-75 {
  background: #66CC00;
  border: solid 1px #4C9900;
}

.role-76 {
  background: #80FF00;
  border: solid 1px #66CC00;
}

.role-77 {
  background: #99FF33;
  border: solid 1px #80FF00;
}

.role-78 {
  background: #B2FF66;
  border: solid 1px #99FF33;
}

.role-79 {
  background: #CCFF99;
  border: solid 1px #B2FF66;
}

.role-80 {
  background: #E5FFCC;
  border: solid 1px #CCFF99;
}

.role-81 {
  background: #666600;
  color: #fff !important;
  border: solid 1px #1a1a00;
}

.role-82 {
  background: #999900;
  color: #fff !important;
  border: solid 1px #666600;
}

.role-83 {
  background: #CCCC00;
  border: solid 1px #999900;
}

.role-84 {
  background: #FFFF00;
  border: solid 1px #CCCC00;
}

.role-85 {
  background: #FFFF33;
  border: solid 1px #FFFF00;
}

.role-86 {
  background: #FFFF66;
  border: solid 1px #FFFF33;
}

.role-87 {
  background: #FFFF99;
  border: solid 1px #FFFF66;
}

.role-88 {
  background: #FFFFCC;
  border: solid 1px #FFFF99;
}

.role-89 {
  background: #663300;
  color: #fff !important;
  border: solid 1px #1a0d00;
}

.role-90 {
  background: #994C00;
  color: #fff !important;
  border: solid 1px #663300;
}

.role-91 {
  background: #CC6600;
  color: #fff !important;
  border: solid 1px #994C00;
}

.role-92 {
  background: #FF8000;
  border: solid 1px #CC6600;
}

.role-93 {
  background: #FF9933;
  border: solid 1px #FF8000;
}

.role-94 {
  background: #FFB266;
  border: solid 1px #FF9933;
}

.role-95 {
  background: #FFCC99;
  border: solid 1px #FFB266;
}

.role-96 {
  background: #FFE5CC;
  border: solid 1px #FFCC99;
}

.role-97 {
  background: #660000;
  color: #fff !important;
  border: solid 1px #1a0000;
}

.role-98 {
  background: #990000;
  color: #fff !important;
  border: solid 1px #660000;
}

.role-99 {
  background: #CC0000;
  color: #fff !important;
  border: solid 1px #990000;
}

.role-100 {
  background: #FF0000;
  color: #fff !important;
  border: solid 1px #CC0000;
}

.role-101 {
  background: #FF3333;
  color: #fff !important;
  border: solid 1px #FF0000;
}

.role-102 {
  background: #FF6666;
  color: #fff !important;
  border: solid 1px #FF3333;
}

.role-103 {
  background: #FF9999;
  border: solid 1px #FF6666;
}

.role-104 {
  background: #FFCCCC;
  border: solid 1px #FF9999;
}

.mt-neg2{
  margin-top: -2px;
}

.mt-neg3{
  margin-top: -3px;
}

/*--------------------------------------------------------------
# Forms
--------------------------------------------------------------*/
.leave-container {
  color: #595959;
  padding: 0px;
  font-size: 16px;
  line-height: 1;
  background: #ffffff;
}

/*--------------------------------------------------------------
# Help Panel
--------------------------------------------------------------*/

.help-panel {
  position: fixed;
  top: 0;
  left: -40%;
  width: 40%;
  height: 100%;
  background: #ffffff;
  box-shadow: -3px 0 12px rgba(0, 0, 0, 0.3);
  transition: left 0.3s ease;
  z-index: 1000;
}

.help-panel.open {
  left: 0;
}

/* HELP tab (attached to panel) */
.help-tab {
  position: absolute;
  right: -40px; /* sticks out from panel */
  top: 40%;
  width: 40px;
  height: 120px;
  background: var(--accent-color);
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  font-weight: bold;
  border-radius: 0 6px 6px 0;
  writing-mode: vertical-lr;
  text-orientation: mixed;
  user-select: none;
}

.help-body {
  display: flex;
  align-items: center;
  padding: 1rem 1rem;
}

.help-header{
  display: flex;
  align-items: center;
  padding: 1rem 1rem;
  background: var(--accent-color);
}

.help-title{
  margin-bottom: 0;
  line-height: 1.5;
  color: #ffffff;
}

.help-check-input {
    transform: scale(1.5) !important;
}

.check-input-small {
    transform: scale(1.2) !important;
}

.check-input-medium {
    transform: scale(1.5) !important;
}

.check-input-large {
    transform: scale(1.8) !important;
}


/* TUTORIAL */

#tutorial {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.1);
  z-index: 1000;
}

.tutorial-box {
  position: absolute;
  background: #fff;
  width: 420px;
  max-width: 90%;
  border-radius: 8px;
  box-shadow: 0 0.5rem 1rem rgba(0,0,0,.15);
  opacity: 0;
  transition: opacity 1000ms ease;
}

.tutorial-box.show {
  opacity: 1;
}

.tutorial-highlight {
  outline: 3px solid orange;
  position: relative;
  z-index: 1001;
}


/* Modal */
.tutorial {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1060;
  font-family: system-ui, -apple-system, sans-serif;
}

/* Modal box */
.tutorial-dialog {
  background: #fff;
  width: 420px;
  max-width: 90%;
  border-radius: 6px;
  box-shadow: 0 0.5rem 1rem rgba(0,0,0,.15);

  opacity: 0;
  transform: scale(0.95);
  transition: opacity 1s ease, transform 1s ease;
}

/* Header */
.tutorial-header {
  padding: 0.75rem 1rem;
  border-bottom: 1px solid #dee2e6;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.tutorial-title {
  margin: 0;
  font-size: 1.25rem;
}

/* Close button */
.tutorial-btn-close {
  margin: 0;
  background: none;
  border: none;
  font-size: 2.5rem;
  cursor: pointer;
  line-height: 0.6;
  color: #fff;
  padding-bottom: 8px;
}

/* Body */
.tutorial-body {
  padding: 1rem;
  color: #212529;
}

/* Footer */
.tutorial-footer {
  padding: 0.75rem 1rem;
  border-top: 1px solid #dee2e6;
  display: flex;
  justify-content: flex-end;
  gap: 0.5rem;
}

/* Buttons */
.tutorial-btn {
  padding: 0.375rem 0.75rem;
  border-radius: 4px;
  border: 1px solid transparent;
  cursor: pointer;
  font-size: 0.95rem;
}

/* TUTORIAL END */



/* YES/NO MODAL POPUP */

/* Backdrop */
.yesno-backdrop {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  transition: opacity 1s ease;
  z-index: 1050;
}

.yesno-backdrop.show {
  opacity: 1;
}

/* Modal */
.yesno {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1060;
  font-family: system-ui, -apple-system, sans-serif;
}

/* Modal box */
.yesno-dialog {
  background: #fff;
  width: 420px;
  max-width: 90%;
  border-radius: 6px;
  box-shadow: 0 0.5rem 1rem rgba(0,0,0,.15);

  opacity: 0;
  transform: scale(0.95);
  transition: opacity 1s ease, transform 1s ease;
}

.yesno-dialog.show {
  opacity: 1;
  transform: scale(1);
}

/* Header */
.yesno-header {
  padding: 0.75rem 1rem;
  border-bottom: 1px solid #dee2e6;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.yesno-title {
  margin: 0;
  font-size: 1.25rem;
}

/* Close button */
.yesno-btn-close {
  margin: 0;
  background: none;
  border: none;
  font-size: 2.5rem;
  cursor: pointer;
  line-height: 0.6;
  color: #fff;
  padding-bottom: 8px;
}

/* Body */
.yesno-body {
  padding: 1rem;
  color: #212529;
}

/* Footer */
.yesno-footer {
  padding: 0.75rem 1rem;
  border-top: 1px solid #dee2e6;
  display: flex;
  justify-content: flex-end;
  gap: 0.5rem;
}

/* Buttons */
.yesno-btn {
  padding: 0.375rem 0.75rem;
  border-radius: 4px;
  border: 1px solid transparent;
  cursor: pointer;
  font-size: 0.95rem;
}

.yesno-btn-primary {
  background-color: #0d6efd;
  color: #fff;
}

.yesno-btn-secondary {
  background-color: #6c757d;
  color: #fff;
}

.yesno-btn:hover {
  opacity: 0.9;
}

@keyframes fadeIn {
  from { opacity: 0; transform: translateY(-10px); }
  to   { opacity: 1; transform: translateY(0); }
}

/* STAFF MOBILE VIEW */

.staff-wrapper{
  position: relative;
  color: #000;
  cursor: pointer;
  padding: 10px;
  border-radius: 4px;
  line-height: 1.2;
  background: #fff;
  border: solid 1px #ccc;
}

.staff-name{
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 5px;
}

.staff-location{
  font-size: 16px;
  margin-bottom: 2px;
}


.staff-icon {
  position: absolute;
  top: 4px;
  right: 4px;
  font-size: 10px;
}

/*--------------------------------------------------------------
# Calendar Panel
--------------------------------------------------------------*/
.calendar-wrapper {
      width: 250px;
      border: 1px solid #ccc;
      padding: 10px;
      font-family: sans-serif;
      background-color: #fff;
      position: absolute;
      z-index: 2000;
      box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  }

.calendar-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 5px;
}

.calendar-days,
.calendar-dates {
  font-size: 0.9em;
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    text-align: center;    
}

.calendar-dates div {
    padding: 5px;
    cursor: pointer;
    border: solid 1px #f5f5f5;
}

.calendar-dates div:hover {
    background-color: #e0e0e0;
}

.calendar-dates .today {
    background-color: #007bff;
    color: #fff;
    border-radius: 50%;
}




/* PULSATE FUNCTION (makes an element pulse 5 times) */
.pulse-box {
    animation: pulse 0.8s ease-in-out 5;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255,77,77,0.7);
    }

    50% {
        transform: scale(1.08);
        box-shadow: 0 0 15px 10px rgba(255,77,77,0);
    }

    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(255,77,77,0);
    }
}




/* MOBILE VIEW */

@media (max-width: 767.98px) {

  .hidden-sm {

    display: none !important;

  }

  .w-sm-100 {
    width: 100% !important;
  }

  .sm-mt-5{
    margin-top: 5px;
  }

  .sm-ms-5{
    margin-left: 15px;;
  }

  .sm-bold{
    font-weight: bold;
  }

  .sm-date{
    font-size: 0.9em;
    color: #b3b3b3;
  }

}

@media (max-width: 992px) {

  .hidden-md {

    display: none !important;

  }

}

@media (max-width: 1180px) {

  .hidden-tablet {

    display: none !important;

  }

}

@media (min-width: 767.98px) {

  .hidden-sm-up {

    display: none !important;

  }

}


/* DASHBOARD */

.box-shadow-md {
  border: none;
  border-radius: 14px;
  box-shadow: 0 6px 16px rgba(0, 0, 0, 0.05);
}